import request from '@/utils/request'
import { data } from 'autoprefixer'

export function saveDoctorSchedules(params) {
  return request({
    url: '/api/schedules/savedoctorschedules',
    methods: 'get',
    params: params
  })
}

export function getDoctorScheduleList(params) {
  return request({
    url: '/api/schedules/getdoctorschedulelist',
    methods: 'get',
    params: params
  })
}

export function getScheduleDetail(id, params) {
  return request({
    url: '/api/schedules/getscheduledetail?id=' + id,
    methods: 'get',
    params: params
  })
}

export function UpdateSchedule(params) {
  return request({
    url: '/api/schedules/updateschedule',
    methods: 'get',
    params: params
  })
}

export function deleteScheduleById(id, orgid) {
  const params = {
    id: id,
    orgid: orgid
  }
  return request({
    url: '/api/schedule/deleteschedule',
    methods: 'get',
    params: params
  })
}

export function getDoctorList(params) {
  return request({
    url: '/api/schedule/getdoctorlist',
    methods: 'get',
    params: params
  })
}

export function getScheduleList(params) {
  return request({
    url: '/api/schedule/getschedulelist',
    methods: 'get',
    params: params
  })
}

export function addSchedule(params) {
  return request({
    url: '/api/schedule/addschedule',
    methods: 'get',
    params: params
  })
}

export function getStaffScheduleList(params) {
  return request({
    url: '/api/schedule/getstaffschedulelist',
    methods: 'get',
    params: params
  })
}

export function getNextWeekList(params) {
  return request({
    url: '/api/schedule/getnextweeklist',
    methods: 'get',
    params: params
  })
}

export function getScheduleByDoctorId(params) {
  return request({
    url: '/api/schedule/getschedulebydoctorid',
    methods: 'Get',
    params: params
  })
}

export function toSearchScheduleList(params) {
  return request({
    url: '/api/schedule/tosearchsechedulelist',
    methods: 'Get',
    params: params
  })
}

export function DeleteStaffSchedule(params) {
  return request({
    url: '/api/schedule/deletestaffschedule',
    methods: 'get',
    params: params
  })
}

export function copyStaffSchedule(params) {
  return request({
    url: '/api/schedule/copystaffschedule',
    methods: 'get',
    params: params
  })
}

export function UpdateContinusSchedule(params) {
  return request({
    url: '/api/scheudle/updatecontinusschedule',
    methods: 'get',
    params: params
  })
}

export function SaveNurseSort(params) {
  return request({
    url: '/api/schedule/savenursesort',
    methods: 'Get',
    params: params
  })
}

export function SaveIsSchedule(params) {
  return request({
    url: '/api/schedule/saveisschedule',
    methods: 'get',
    params: params
  })
}

export function getScheduleListTotal(params) {
  return request({
    url: '/api/schedule/getscheudlelisttotal',
    methods: 'get',
    params: params
  })
}

export function toSearchTotal(params) {
  return request({
    url: '/api/schedule/tosearchtotal',
    methods: 'get',
    params: params
  })
}

export function changeOption(params) {
  return request({
    url: '/api/schedule/changeoption',
    methods: 'get',
    params: params
  })
}

export function getchartlist(params) {
  return request({
    url: '/api/schedule/getchartlist',
    methods: 'get',
    params: params
  })
}
